##
## RNAspace: non-coding RNA annotation platform
## Copyright (C) 2009  CNRS, INRA, INRIA, Univ. Paris-Sud 11
## 
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <http://www.gnu.org/licenses/>.
##


#import math

<div class="cbb_content" align="center">
  <table>
    <tr>
      <td>Sequence name:</td>
      <td>$sequence.id ($sequence.domain - $sequence.species - $sequence.replicon - $sequence.strain)</td>
    </tr>
    <tr>
      <td>Sequence header:</td>
      <td>$sequence_header</td>
    </tr>
  </table>
</div>

<br />

<div class="cbb_content" align="center">
  <div align="left" style="overflow:auto; height:350px;">
    #set $nb_lines = $math.ceil($float($len($sequence.data))/$float($sequence_size_to_display)) 
    #set $final_val = ""
    #for $i in range($int($nb_lines))
    #set $final_val += $sequence.data[$i*$sequence_size_to_display:$i*$sequence_size_to_display+$sequence_size_to_display] + "<br />"
    #end for
    <pre>>$sequence_header<br />$final_val</pre>
  </div>
</div>
